Mono.Posix 1.0.5000.0 2.0.0.0 System.Enum List of available signals.

Do 'man 7 signal' for more information. Some signals here are not posix.1 standard. See also Stdlib.signal() for more information.

Not all signals are available on all platforms.

- Field
  Mono.Unix.Native.Signum Abort signal from abort. 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.Signum Timer signal from alarm. 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.Signum Bus error (bad memory access). 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.Signum Child stopped or terminated. 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.Signum To be added. 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.Signum Continue if stopped. 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.Signum Floating point exception. 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.Signum Hangup detected on controlling terminal or death of controlling process. 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.Signum Illegal Instruction. 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.Signum Interrupt from keyboard. 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.Signum I/O now possible (4.2 BSD). 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.Signum To be added. 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.Signum Kill signal. 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.Signum Broken pipe: write to pipe with no readers. 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.Signum To be added. 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.Signum Profiling timer expired. 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.Signum To be added. 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.Signum Quit from keyboard. 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.Signum Invalid memory reference. 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.Signum To be added. 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.Signum Stop process. 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.Signum Bad argument to routine (SVID). 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.Signum Termination signal. 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.Signum Trace/breakpoint trap. 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.Signum Stop typed at tty. 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.Signum tty input for background process. 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.Signum tty output for background process. 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.Signum To be added. 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.Signum Urgent condition on socket (4.2 BSD). 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.Signum User-defined signal 1. 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.Signum User-defined signal 2. 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.Signum Virtual alarm clock (4.2 BSD). 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.Signum Window resize signal (4.3 BSD, Sun). 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.Signum CPU time limit exceeded (4.2 BSD). 1.0.5000.0 2.0.0.0
- Field
  Mono.Unix.Native.Signum File size limit exceeded (4.2 BSD). 1.0.5000.0 2.0.0.0